Closed Bug 397629 Opened 14 years ago Closed 13 years ago

Firefox 2 productization, Latvian (lv)

Categories

(Mozilla Localizations :: lv / Latvian, defect)

defect
Not set
normal

Tracking

(Not tracked)

VERIFIED FIXED

People

(Reporter: Pike, Unassigned)

References

()

Details

Attachments

(2 files, 7 obsolete files)

We're going to have a Latvian localization for Firefox 2.

Raivis, do you have any suggestions on changes to the list of search engines, or the Feed readers? What would be a good news feed for Latvia?

Mic, any ideas on your side?
About search engines: I would like to see IMDB and Wikipedia (english)

About news sites: http://www.delfi.lv/ is the most popular in Latvia you could add that.
Putting that feedback on Mic's radar.
Whiteboard: needs-mic
Hi Raivis
for Wikipedia how come you want the English version as opposed to the Latvian version: lv.wikipedia.org/ ? although there doesn't seem to be too many articles
on IMDB - can you provide the url - i can't find this search engine
for news site delfi.lv - from what I saw it appears that they provide international news as well as national, can you confirm that for me.
thanks
mic
English wikipedia because it has more aricles as you noted.

URL for IMDB: http://www.imdb.com/find But I can attach my search plugin. Actually I used the one from: https://addons.mozilla.org/en-US/firefox/browse/type:4

Yes Delfi.lv provides lots of different news, local, international, sports and many more. 
thanks
i don't understand why you want to include imdb - it's an entertainment portal. we've never done that before. is entertainment huge or something in latvia. can you expand on this choice please. 
Component: Other → lv / Latvian
QA Contact: latvian.lv
IMDB is a usefull search engine that I often use and have seen others use it quite often as well. But we may wery well do without it. 
Raivis
can you send me the current list then since our discussion?
mic
Google
English Wikipedia
IMDB

and other default search engines
so I take this to mean, you're proposing:
Google
Yahoo
Amazon
Answers
Creative Commons
eBay
IMDB
English Wikipedia

It might be better to use ebay and amazon UK - proximity for users. what do you think?

also were you suggesting in comment#1 we use http://www.delfi.lv/ for news instead of BBC? or is BBC as comprehensive for Latvian news in your opinion

Use delfi.lv for news.

And about eBay and Amazon i gues we could use UK as it is closer.

Search engines seem fine.
Raivis

Thanks on delfi.lv - great - I'll ping them for permission, do you have a contact there? if so, please provide otherwise I'll find a general contact email address from their site.

so please confirm, search engine's are:
google
yahoo
amazon.uk (i may have that url wrong)
answers
creative commons
eBay.uk
IMDB
English Wikipedia

we usually only ship with 6 search engine's. if you feel this would be a good list then we'll go for it. I'd suggest, if we can , I'll have to check on this, we monitor how much usage these get and if some of them are really low we should take them out to leave the 6. it seems the more we offer users doesn't always result in more usage. are you ok with that approach?

thanks,
mic
Uk sites have ".co.uk" ending so it would be ebay.co.uk and amazon.co.uk

I'm ok with the search engine approach.
Uk sites have ".co.uk" ending so it would be ebay.co.uk and amazon.co.uk

I'm ok with the search engine approach.

For delfi.lv I have only default contact as well: redakcija@delfi.lv
I called to the delfi.lv office to ask if we are allowed to ship latvian firefox with their RSS feed and they said that it is ok.

Do we need written permission or something? 
Additional search plugins for latvian localization of Firefox
Attachment #286822 - Flags: review?(l10n)
Delfi.lv RSS link: http://www.delfi.lv/rss.php
So, Raivis checked this in already, resurrecting a patch for this. Done that by doing a 

cvs -z3 diff -uN -Dyesterday -Dnow

Review comments follow.
Attachment #286822 - Attachment is obsolete: true
Attachment #286822 - Flags: review?(l10n)
Comment on attachment 286823 [details] [diff] [review]
patch corresponding to the latest check-in

>Index: IMDB.xml
>===================================================================
>RCS file: IMDB.xml
>diff -N IMDB.xml
>--- /dev/null	1 Jan 1970 00:00:00 -0000
>+++ IMDB.xml	31 Oct 2007 12:07:20 -0000	1.1
>@@ -0,0 +1,12 @@
>+<SearchPlugin xmlns="http://www.mozilla.org/2006/browser/search/" xmlns:os="http://a9.com/-/spec/opensearch/1.1/">
>+<os:ShortName>IMDb</os:ShortName>
>+<os:Description>IMDb Movie Search</os:Description>
>+<os:InputEncoding>iso-8859-1</os:InputEncoding>
>+<os:Image width="16" height="16">data:image/x-icon;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQBAMAAAGa2tLEAAAAK3RFWHRDcmVhdGlvbiBUaW1lAFR1ZSA4IEp1biAyMDA0IDE3OjAyOjIzIC0wODAwbv+wuAAAAAd0SU1FB9QGCQADOcMblXgAAAAJcEhZcwAACxIAAAsSAdLdfvwAAAAEZ0FNQQAAsY8L/GEFAAAAD1BMVEX///8AAAD/zmP/zgD//wBSW1EvAAAAAXRSTlMAQObYZgAAAFtJREFUeNpdjMENwkAMBCdSCsC+CpjQQHwNIJH+a8LcB8G8VtrdAe5A8Jps0YlZhMSN/bqenBGDPJQvq1AfmCblSKbzbEHfftld9D4zw+EKH9pQ7bXYPCz9vzZvfjQK0ZG9mJkAAAAASUVORK5CYII=</os:Image>
>+<UpdateInterval>7</UpdateInterval>
>+<UpdateUrl>http://mycroft.mozdev.org/update.php/id0/IMDb.src</UpdateUrl>
>+<IconUpdateUrl>http://mycroft.mozdev.org/update.php/id0/IMDb.png</IconUpdateUrl>
>+<SearchForm>http://www.imdb.com/</SearchForm>
>+<os:Url type="text/html" method="GET" template="http://www.imdb.com/find?q={searchTerms}&amp;sourceid=mozilla-search">
>+</os:Url>
>+</SearchPlugin>
>\ No newline at end of file

The Update elements are junk, those shouldn't be in here. Drop the opensearch namespace, too, that's not needed for plugins we ship.

The parameters to the Url should be in Param child elements, that makes the plugin easier to understand and maintain.

>Index: list.txt
>===================================================================
>RCS file: /l10n/l10n/lv/browser/searchplugins/list.txt,v
>retrieving revision 1.2
>retrieving revision 1.3
>diff -u -r1.2 -r1.3
>--- list.txt	26 Sep 2007 15:46:58 -0000	1.2
>+++ list.txt	31 Oct 2007 12:07:20 -0000	1.3
>@@ -4,3 +4,5 @@
> eBay
> google
> yahoo
>+IMDb
>+Wikipedia (Angļu)

The changes here need to list the basenames of the files you add, not names or something. Case does matter.

>Index: wikipedia-en.xml
>===================================================================
>RCS file: wikipedia-en.xml
>diff -N wikipedia-en.xml
>--- /dev/null	1 Jan 1970 00:00:00 -0000
>+++ wikipedia-en.xml	31 Oct 2007 12:07:20 -0000	1.1
>@@ -0,0 +1,12 @@
>+<SearchPlugin xmlns="http://www.mozilla.org/2006/browser/search/" xmlns:os="http://a9.com/-/spec/opensearch/1.1/">
>+<os:ShortName>Wikipedia (Angļu)</os:ShortName>
>+<os:Description>English Wikipedia</os:Description>
>+<os:InputEncoding>UTF-8</os:InputEncoding>
>+<os:Image width="16" height="16">data:image/x-icon;base64,iVBORw0KGgoAAAANSUhEUgAAABAAAAAQCAYAAAAf8/9hAAAACXBIWXMAAA7DAAAOwwHHb6hkAAABS0lEQVR4nMWTwY3EIAxFR6MUETpwDaPcQwekBVICOUIRLiGUQBqYlAAdhB6I/h5GQZPdaLXSrrQHDljW8/e3fSt7wW/e7f8BYQlQg4LsJcISUPYCP3vIXsJMBjFFlL3ATAZqUIgpIqYIPWqoQb0UOOtARBVQ9gLZSxARYorIW4azDsyMshfkLUOPGsz8AsQUIVoBPWrkLaPsBcwM0Qr42WN9rtCjrvADcPJADQqiFVifKw7oocJZBz/7CghLqP/be1C0As66msjMaO4N1KBO1Z11td3TFGQvIXtZjYspont0kL2sOTFFmMlcj9FZh+beVHkH4N1gZq5mXu4BEUENCnnL8LOHHjW6R1dNc9ZVoy8Bzjp0jw5mMvCzr5KJCMx88ugS4GcPIgIR1VbCEmrsmNK3q/zZzLIX6FGDiH52C2EJXyrFFE+b+mfH9AGWL1wAzw1JKQAAAABJRU5ErkJggg==</os:Image>
>+<UpdateInterval>7</UpdateInterval>
>+<UpdateUrl>http://mycroft.mozdev.org/update.php/id0/wikipedia.src</UpdateUrl>
>+<IconUpdateUrl>http://mycroft.mozdev.org/update.php/id0/wikipedia.png</IconUpdateUrl>
>+<SearchForm>http://en.wikipedia.org/wiki/Special:Search</SearchForm>
>+<os:Url type="text/html" method="GET" template="http://en.wikipedia.org/wiki/Special:Search?search={searchTerms}&amp;sourceid=mozilla-search">
>+</os:Url>
>+</SearchPlugin>

Same comments as for the IMDb plugin, plus, the title should really be Wikipedia (English), that's the original title. Having the same here as everywhere else makes it easier to maintain.

Mic, should we add search suggest to wikipedia here? If so, the url to go to would be 
<Url type="application/x-suggestions+json" method="GET" template="http://en.wiki
pedia.org/w/api.php?action=opensearch&amp;search={searchTerms}"/>, at least that's what they're using on wikipedia themselves.
Attachment #286823 - Flags: review-
fixed comments from previous attachment.
re comment #14
i have received written permission from janis.putrams@delfi.lv on October 23. Janis Putrams is the Head of IT department
thanks
mic
Attachment #286827 - Flags: review?(l10n)
Hey Raivis

I'm getting some push back from others in Mozilla about IMDB. As I mentioned it's an unusual request. When I did some research on Latvia as a country I noted that entertainment was a highly searched area. I've recently looked at http://www.alexa.com/site/ds/top_sites?cc=LV&ts_mode=country&lang=none 
for top sites and IMDB doesn't rank highly. In addition I've found out that the strategy I described of getting someinformation on the number of users using that plug in is not possible due to our privacy approaches (which is a good thing for user). 

so - I need a clearer rationale for including them.

I'd also suggest we still may want to revisit the list and include something that is better at searching latvian site e.g., http://smart.delfi.lv/ or one of the others??

sorry for this change at this stage in game :(

thanks
mic


ok, that IMDB was my personal idea / initiative. Let's just drop everything that causes problems or is not usual to mozilla and keep closer to the defaults if it's needed.

if needed we can drop wikipedia as well.

My main wish is to see Firefox in latvian :)
Hi Raivis
I don't mean to say that the issue is about keeping close to the default. the issue is to see Firefox in Latvian and with as many users as we can. The last 5 words very important - to me the best way to do that is to give them local features that are most useful for them and the only way we have to do that besides making it in their language is providing web services that are more relevant to them. meaning an RSS feed that is about Latvia in Latvian. Search engine's we provide follow a default list of certain types because we have found most users want a general search engine (google, yahoo), a shopping engine (ebay or amazon in the US works well), knowledge search like wikipedia or answers.
IMDB may be something that Latvian users would love because Movies or Entertainment is critically important to people. I was trying to better understand if this last assumption is true or not and when I was talking with some of my Mozilla colleagues about that assumption they were asking me questions we hadn't yet discussed, hence why i posted comment#21.

i also don't want to make this more complicated but I do want as many Latvian users that we can get to use Firefox especially because it will likely be the only browser they can get in their language and so these other web service features would be great if they were all super relevant to what those users want to see.

hope that makes more sense. 
by the way, i'm usually on IRC #L10n Mic

thanks
mic
It's all ok and it makes a lot of sense :)

IMDB is my personal choice and I assume that it would be usefull to others, but it is only my guess.

Let's just remove IMDB for the sake of simplicity. The users who know it and would like to use it will add it themselves.

I guess I have to make a patch with no IMDB?
Raivis
yes - sorry for the added work :(

comment #18 - yes please use search suggest for wikipedia
mic
new version of additional search plugins for Latvian version of Firefox. IMDB has been removed.
Attachment #286827 - Attachment is obsolete: true
Attachment #286827 - Flags: review?(l10n)
Comment on attachment 287083 [details] [diff] [review]
additional wikipedia-en search plugin

added review request
Attachment #287083 - Flags: review?(l10n)
Comment on attachment 287083 [details] [diff] [review]
additional wikipedia-en search plugin

r-, please test those plugins before attaching. This one lacks the actual search Url, and the Param should be for that one, not for the suggest one.

http://developer.mozilla.org/en/docs/Creating_OpenSearch_plugins_for_Firefox#Troubleshooting_Tips has more, as does the rest of that page.
Attachment #287083 - Flags: review?(l10n) → review-
fixed search url and tested the plugin.
Attachment #287083 - Attachment is obsolete: true
Attachment #288307 - Flags: review?(l10n)
Attached patch wikipedia search plugin (obsolete) — Splinter Review
search plugin with all url parameters in param tags
Attachment #288307 - Attachment is obsolete: true
Attachment #289640 - Flags: review?(l10n)
Attachment #288307 - Flags: review?(l10n)
Comment on attachment 289640 [details] [diff] [review]
wikipedia search plugin 

Noting my review on one of the patches. This is meant to be a review of revision 1.7, though.
Attachment #289640 - Flags: review?(l10n) → review+
So looking at the source and at this bug, we currently have amazon and ebay from the US, though they're listed in comment 11 to be the UK ones.

Raivis, could you create a patch implementing those still? The plugins at http://mxr.mozilla.org/l10n-mozilla1.8/source/en-GB/browser/searchplugins/ should be fine, plus the changes to list.txt.

Thanks
Attached patch Latvian search plugins (obsolete) — Splinter Review
Upadted amazon and ebay search plugins to UK ones.
Attachment #289640 - Attachment is obsolete: true
Attachment #293641 - Flags: review?(l10n)
Comment on attachment 293641 [details] [diff] [review]
Latvian search plugins

r=l10@mozilla.com. Please land this with a check-in comment referencing this bug, something like 

"bug 293641, use co.uk sites for amazon and ebay search, r=l10n@mozilla.com"
Attachment #293641 - Flags: review?(l10n) → review+
Whiteboard: needs-mic → needs-pike
Whiteboard: needs-pike → needs-landing
Raivis, if you land patches, please mark the bugs fixed afterwards, so that we can track what's been done and what's still pending.

According to http://bonsai-l10n.mozilla.org/cvsquery.cgi?treeid=default&module=all&branch=HEAD&branchtype=match&dir=l10n%2Flv&file=&filetype=match&who=&whotype=match&sortby=Date&hours=2&date=explicit&mindate=2007-12-17&maxdate=2007-12-19&cvsroot=%2Fl10n, this has landed, marking FIXED.

I compared my local check-out against en-GB as a reference, too.

Once we branched and have builds with the plugins, this bug should get verified, adding verifyme keyword.
Status: NEW → RESOLVED
Closed: 14 years ago
Keywords: verifyme
Resolution: --- → FIXED
Whiteboard: needs-landing
Hey Raivis
since we made the decision in comment #4 we've changed things around and are now willing to accept wikipedia in local language i.e., lv.wikipedia.org instead of engish wikipedia because we think it's a better user experience.

would you mind swapping the en version for wikipedia for the lv version please
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Changed wikipedia search engine URL to use lv version.

Status: REOPENED → RESOLVED
Closed: 14 years ago13 years ago
Resolution: --- → FIXED
Raivis, please submit patches for these changes, then I wouldn't have to reopen again.

The last landing not only changed wikipedia-en to wikipedia-lv, but also moved ebay and amazon from the UK version to the US versions.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Patch for changing Wikipedia eng to wikipedia LV. Patch diffed against 1 month old check-in before last cvs commit that I forgot to make patch and submit it here.
Attachment #286823 - Attachment is obsolete: true
Attachment #293641 - Attachment is obsolete: true
Attachment #316588 - Flags: review?
Comment on attachment 316588 [details] [diff] [review]
Latvina search plugins (wikipedia eng -> wikipedia LV)

r=me, please land the fix for list.txt with a comment referencing this bug and my review.
Attachment #316588 - Flags: review? → review+
As no one has any objection I will assume that my last landing was ok :)
Status: REOPENED → RESOLVED
Closed: 13 years ago13 years ago
Resolution: --- → FIXED
I checked in this remaining fix. Please update your working copy and make sure to not regress this.
You need to log in before you can comment on or make changes to this bug.